diff --git a/mutt/buffer.c b/mutt/buffer.c
index e602fc0f93..6fbcb6df7b 100644
--- a/mutt/buffer.c
+++ b/mutt/buffer.c
@@ -35,6 +35,7 @@
  * | mutt_buffer_addstr() | Add a string to a Buffer
  * | mutt_buffer_from()   | Initialize a Buffer from an existing string
  * | mutt_buffer_printf() | Format a string into a Buffer
+ * | mutt_buffer_reserve()| Preallocate a certain number of bytes
  * | mutt_buffer_reset()  | Reset an existing Buffer
  * | mutt_buffer_rewind() | Rewind the r/w position to the start of the Buffer
  * | mutt_buffer_seek()   | Set the r/w position to a specific offset
@@ -53,7 +54,7 @@
  * @param b Buffer to reserve
  * @param len Number of bytes to reserve
  */
-static void mutt_buffer_reserve(struct Buffer *buf, size_t len)
+void mutt_buffer_reserve(struct Buffer *buf, size_t len)
 {
   if (!buf || len == 0)
     return;
diff --git a/mutt/buffer.h b/mutt/buffer.h
index 49505003bc..6f7c82653c 100644
--- a/mutt/buffer.h
+++ b/mutt/buffer.h
@@ -47,6 +47,7 @@ void mutt_buffer_addch(struct Buffer *buf, char c);
 void mutt_buffer_addstr(struct Buffer *buf, const char *s);
 void mutt_buffer_from(struct Buffer *buf, char *seed);
 int  mutt_buffer_printf(struct Buffer *buf, const char *fmt, ...);
+void mutt_buffer_reserve(struct Buffer *buf, size_t len);
 void mutt_buffer_reset(struct Buffer *buf);
 void mutt_buffer_rewind(struct Buffer *buf);
 void mutt_buffer_seek(struct Buffer *buf, size_t off);
